List transactions
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": 123,
"counterparty": "<string>",
"createdAt": "<string>",
"id": "<string>",
"isFee": true,
"order": {
"canceledAt": "2025-01-15T10:35:00Z",
"counterparty": "John Doe",
"createdAt": "2025-01-15T10:30:00Z",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"detailUrl": "/api/v1/account/orders/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"displayType": "Transaction Type",
"failedAt": "2025-01-15T10:35:00Z",
"fee": {
"currency": "CURRENCY",
"amount": 1000
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"reference": "PAY-2025-001234",
"reversedAt": "2025-01-15T10:35:00Z",
"settledAt": "2025-01-15T10:35:00Z",
"state": "PENDING",
"type": "TRANSACTION_TYPE",
"updatedAt": "2025-01-15T10:30:05Z"
},
"runningBalance": 123
}
]{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Ledger
List transactions
Get a list of all transactions for the authenticated merchant
GET
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
transactions
List transactions
Authorizations
API Key for accessing management endpoints
⌘I